# -*- coding: utf-8 -*-

## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##      http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.

import pronouncer
import Utils.script

DEF_PRONOUNCERS_ = {
  "'gana_tuvalu" : [pronouncer.LatinPronouncer],
  'aa' : [pronouncer.LatinPronouncer],
  'aar' : [pronouncer.LatinPronouncer],
  'ab' : [pronouncer.UnitranPronouncer],
  'abk' : [pronouncer.UnitranPronouncer],
  'abkhazian' : [pronouncer.UnitranPronouncer],
  'ace' : [pronouncer.LatinPronouncer],
  'acehnese' : [pronouncer.LatinPronouncer],
  'ach' : [pronouncer.LatinPronouncer],
  'achinese' : [pronouncer.LatinPronouncer],
  'acoli' : [pronouncer.LatinPronouncer],
  'ada' : [pronouncer.LatinPronouncer],
  'adangbɛ' : [pronouncer.LatinPronouncer],
  'adangme' : [pronouncer.LatinPronouncer],
  'ady' : [pronouncer.UnitranPronouncer],
  'adygei' : [pronouncer.UnitranPronouncer],
  'adyghe' : [pronouncer.UnitranPronouncer],
  'ae' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'af' : [pronouncer.LatinPronouncer],
  'af_soomaali' : [pronouncer.LatinPronouncer],
  'afaan_oromoo' : [pronouncer.LatinPronouncer],
  'afar' : [pronouncer.LatinPronouncer],
  'afaraf' : [pronouncer.LatinPronouncer],
  'afh' : [pronouncer.LatinPronouncer],
  'afr' : [pronouncer.LatinPronouncer],
  'afrihili' : [pronouncer.LatinPronouncer],
  'afrikaans' : [pronouncer.LatinPronouncer],
  'ain' : [pronouncer.UnitranPronouncer],
  'ainu' : [pronouncer.UnitranPronouncer],
  'ainu_itak' : [pronouncer.UnitranPronouncer],
  'akk' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'akkadian' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'akkadû' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'alb' : [pronouncer.LatinPronouncer],
  'albanian' : [pronouncer.LatinPronouncer],
  'ale' : [pronouncer.LatinPronouncer],
  'alemannic' : [pronouncer.LatinPronouncer],
  'alemannisch' : [pronouncer.LatinPronouncer],
  'aleut' : [pronouncer.LatinPronouncer],
  'alt' : [pronouncer.UnitranPronouncer],
  'am' : [pronouncer.UnitranPronouncer],
  'amh' : [pronouncer.UnitranPronouncer],
  'amharic' : [pronouncer.UnitranPronouncer],
  'an' : [pronouncer.LatinPronouncer],
  'ancient_greek' : [pronouncer.UnitranPronouncer],
  'ang' : [pronouncer.LatinPronouncer],
  'angika' : [pronouncer.LatinPronouncer],
  'anishinaabemowin' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'anp' : [pronouncer.LatinPronouncer],
  'ar' : [pronouncer.UnitranPronouncer],
  'ara' : [pronouncer.UnitranPronouncer],
  'arabic' : [pronouncer.UnitranPronouncer],
  'aragonese' : [pronouncer.LatinPronouncer],
  'aragonés' : [pronouncer.LatinPronouncer],
  'aramaic' : [pronouncer.UnitranPronouncer],
  'arapaho' : [pronouncer.LatinPronouncer],
  'araucanian' : [pronouncer.LatinPronouncer],
  'arawak' : [pronouncer.LatinPronouncer],
  'arc' : [pronouncer.UnitranPronouncer],
  'arg' : [pronouncer.LatinPronouncer],
  'arm' : [pronouncer.UnitranPronouncer],
  'armenian' : [pronouncer.UnitranPronouncer],
  'armãneashce' : [pronouncer.LatinPronouncer],
  'armãneashti' : [pronouncer.LatinPronouncer],
  'arn' : [pronouncer.LatinPronouncer],
  'aromanian' : [pronouncer.LatinPronouncer],
  'arp' : [pronouncer.LatinPronouncer],
  'arumanian' : [pronouncer.LatinPronouncer],
  'arw' : [pronouncer.LatinPronouncer],
  'as' : [pronouncer.UnitranPronouncer],
  'asm' : [pronouncer.UnitranPronouncer],
  'assamese' : [pronouncer.UnitranPronouncer],
  'ast' : [pronouncer.LatinPronouncer],
  'asturian' : [pronouncer.LatinPronouncer],
  'asturianu' : [pronouncer.LatinPronouncer],
  'asturleonese' : [pronouncer.LatinPronouncer],
  'av' : [pronouncer.UnitranPronouncer],
  'ava' : [pronouncer.UnitranPronouncer],
  'avaric' : [pronouncer.UnitranPronouncer],
  "avañe'ẽ" : [pronouncer.LatinPronouncer],
  'ave' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'avesta' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'avestan' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'awa' : [pronouncer.UnitranPronouncer],
  'awadhi' : [pronouncer.UnitranPronouncer],
  'ay' : [pronouncer.LatinPronouncer],
  'aym' : [pronouncer.LatinPronouncer],
  'aymar_aru' : [pronouncer.LatinPronouncer],
  'aymara' : [pronouncer.LatinPronouncer],
  'az' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'aze' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'azerbaijani' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'azərbaycanca' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ba' : [pronouncer.UnitranPronouncer],
  'bable' : [pronouncer.LatinPronouncer],
  'bahasa_indonesia' : [pronouncer.LatinPronouncer],
  'bahasa_melayu' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'bak' : [pronouncer.UnitranPronouncer],
  'bal' : [pronouncer.UnitranPronouncer],
  'balinese' : [pronouncer.LatinPronouncer],
  'baluchi' : [pronouncer.UnitranPronouncer],
  'bam' : [pronouncer.LatinPronouncer],
  'bamanankan' : [pronouncer.LatinPronouncer],
  'bambara' : [pronouncer.LatinPronouncer],
  'ban' : [pronouncer.LatinPronouncer],
  'baq' : [pronouncer.LatinPronouncer],
  'bas' : [pronouncer.LatinPronouncer],
  'basa' : [pronouncer.LatinPronouncer],
  'basa_acèh' : [pronouncer.LatinPronouncer],
  'basa_bali' : [pronouncer.LatinPronouncer],
  'basa_jawa' : [pronouncer.LatinPronouncer],
  'basa_sunda' : [pronouncer.LatinPronouncer],
  'bashkir' : [pronouncer.UnitranPronouncer],
  'baso_minangkabau' : [pronouncer.LatinPronouncer],
  'basque' : [pronouncer.LatinPronouncer],
  'be' : [pronouncer.UnitranPronouncer],
  'bedawiyet' : [pronouncer.UnitranPronouncer],
  'bej' : [pronouncer.UnitranPronouncer],
  'beja' : [pronouncer.UnitranPronouncer],
  'bel' : [pronouncer.UnitranPronouncer],
  'belarusian' : [pronouncer.UnitranPronouncer],
  'bem' : [pronouncer.LatinPronouncer],
  'bemba' : [pronouncer.LatinPronouncer],
  'ben' : [pronouncer.UnitranPronouncer],
  'bengali' : [pronouncer.UnitranPronouncer],
  'ber' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'berber' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'bg' : [pronouncer.UnitranPronouncer],
  'bh' : [pronouncer.UnitranPronouncer],
  'bho' : [pronouncer.UnitranPronouncer],
  'bhojpuri' : [pronouncer.UnitranPronouncer],
  'bhāṣa_kawi' : [pronouncer.LatinPronouncer],
  'bi' : [pronouncer.LatinPronouncer],
  'bih' : [pronouncer.UnitranPronouncer],
  'bihari' : [pronouncer.UnitranPronouncer],
  'bilin' : [pronouncer.LatinPronouncer],
  'bin' : [pronouncer.LatinPronouncer],
  'bini' : [pronouncer.LatinPronouncer],
  'bis' : [pronouncer.LatinPronouncer],
  'bislama' : [pronouncer.LatinPronouncer],
  'bla' : [pronouncer.UnitranPronouncer],
  'blin' : [pronouncer.LatinPronouncer],
  'bm' : [pronouncer.LatinPronouncer],
  'bn' : [pronouncer.UnitranPronouncer],
  'bo' : [pronouncer.UnitranPronouncer],
  'bod' : [pronouncer.UnitranPronouncer],
  'bos' : [pronouncer.LatinPronouncer],
  'bosanski_jezik' : [pronouncer.LatinPronouncer],
  'bosnian' : [pronouncer.LatinPronouncer],
  'br' : [pronouncer.LatinPronouncer],
  'bra' : [pronouncer.UnitranPronouncer],
  'braj' : [pronouncer.UnitranPronouncer],
  'bre' : [pronouncer.LatinPronouncer],
  'breton' : [pronouncer.LatinPronouncer],
  'brezhoneg' : [pronouncer.LatinPronouncer],
  'bs' : [pronouncer.LatinPronouncer],
  'bua' : [pronouncer.UnitranPronouncer],
  'bug' : [pronouncer.UnitranPronouncer],
  'buginese' : [pronouncer.UnitranPronouncer],
  'bul' : [pronouncer.UnitranPronouncer],
  'bulgarian' : [pronouncer.UnitranPronouncer],
  'bur' : [pronouncer.UnitranPronouncer],
  'buriat' : [pronouncer.UnitranPronouncer],
  'burmese' : [pronouncer.UnitranPronouncer],
  'byn' : [pronouncer.LatinPronouncer],
  'ca' : [pronouncer.LatinPronouncer],
  'cad' : [pronouncer.LatinPronouncer],
  'caddo' : [pronouncer.LatinPronouncer],
  'castellano' : [pronouncer.LatinPronouncer],
  'castilian' : [pronouncer.LatinPronouncer],
  'cat' : [pronouncer.LatinPronouncer],
  'catalan' : [pronouncer.LatinPronouncer],
  'català' : [pronouncer.LatinPronouncer],
  'ce' : [pronouncer.UnitranPronouncer],
  'ceb' : [pronouncer.LatinPronouncer],
  'cebuano' : [pronouncer.LatinPronouncer],
  'central_khmer' : [pronouncer.UnitranPronouncer],
  'ces' : [pronouncer.LatinPronouncer],
  'ch' : [pronouncer.LatinPronouncer],
  'cha' : [pronouncer.LatinPronouncer],
  'chagatai' : [pronouncer.UnitranPronouncer],
  'chahta_anumpa' : [pronouncer.LatinPronouncer],
  'chamorro' : [pronouncer.LatinPronouncer],
  'chamoru' : [pronouncer.LatinPronouncer],
  'chb' : [pronouncer.LatinPronouncer],
  'che' : [pronouncer.UnitranPronouncer],
  'chechen' : [pronouncer.UnitranPronouncer],
  'cherokee' : [pronouncer.UnitranPronouncer],
  'chewa' : [pronouncer.LatinPronouncer],
  'cheyenne' : [pronouncer.LatinPronouncer],
  'chg' : [pronouncer.UnitranPronouncer],
  'chi' : [pronouncer.UnitranPronouncer],
  'chibcha' : [pronouncer.LatinPronouncer],
  'chichewa' : [pronouncer.LatinPronouncer],
  'chicheŵa' : [pronouncer.LatinPronouncer],
  'chilunda' : [pronouncer.LatinPronouncer],
  'chinese' : [pronouncer.HanziPronouncer],
  'chinook_jargon' : [pronouncer.LatinPronouncer],
  'chinyanja' : [pronouncer.LatinPronouncer],
  'chishona' : [pronouncer.LatinPronouncer],
  'chitonga' : [pronouncer.LatinPronouncer],
  'chitumbuka' : [pronouncer.LatinPronouncer],
  'chiyao' : [pronouncer.LatinPronouncer],
  'chk' : [pronouncer.LatinPronouncer],
  'chm' : [pronouncer.UnitranPronouncer],
  'chn' : [pronouncer.LatinPronouncer],
  'cho' : [pronouncer.LatinPronouncer],
  'choctaw' : [pronouncer.LatinPronouncer],
  'chp' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'chr' : [pronouncer.UnitranPronouncer],
  'chu' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'chuang' : [pronouncer.LatinPronouncer],
  'church_slavic' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'church_slavonic' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'chuukese' : [pronouncer.LatinPronouncer],
  'chuvash' : [pronouncer.UnitranPronouncer],
  'chv' : [pronouncer.UnitranPronouncer],
  'chy' : [pronouncer.LatinPronouncer],
  'classical_nepal_bhasa' : [pronouncer.UnitranPronouncer],
  'classical_newari' : [pronouncer.UnitranPronouncer],
  'classical_syriac' : [pronouncer.LatinPronouncer],
  'co' : [pronouncer.LatinPronouncer],
  'cook_islands_maori' : [pronouncer.LatinPronouncer],
  'cop' : [pronouncer.UnitranPronouncer],
  'coptic' : [pronouncer.UnitranPronouncer],
  'cor' : [pronouncer.LatinPronouncer],
  'cornish' : [pronouncer.LatinPronouncer],
  'corsican' : [pronouncer.LatinPronouncer],
  'corsu' : [pronouncer.LatinPronouncer],
  'cos' : [pronouncer.LatinPronouncer],
  'cr' : [pronouncer.UnitranPronouncer],
  'cre' : [pronouncer.UnitranPronouncer],
  'cree' : [pronouncer.UnitranPronouncer],
  'creek' : [pronouncer.LatinPronouncer],
  'crh' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'crimean_tatar' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'crimean_turkish' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'croatian' : [pronouncer.LatinPronouncer],
  'cs' : [pronouncer.LatinPronouncer],
  'csb' : [pronouncer.LatinPronouncer],
  'cu' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'cv' : [pronouncer.UnitranPronouncer],
  'cy' : [pronouncer.LatinPronouncer],
  'cym' : [pronouncer.LatinPronouncer],
  'cymraeg' : [pronouncer.LatinPronouncer],
  'cze' : [pronouncer.LatinPronouncer],
  'czech' : [pronouncer.LatinPronouncer],
  'da' : [pronouncer.LatinPronouncer],
  'dak' : [pronouncer.LatinPronouncer],
  'dakota' : [pronouncer.LatinPronouncer],
  'dan' : [pronouncer.LatinPronouncer],
  'danish' : [pronouncer.LatinPronouncer],
  'dansk' : [pronouncer.LatinPronouncer],
  'dar' : [pronouncer.UnitranPronouncer],
  'dargwa' : [pronouncer.UnitranPronouncer],
  'de' : [pronouncer.LatinPronouncer],
  'del' : [pronouncer.LatinPronouncer],
  'delaware' : [pronouncer.LatinPronouncer],
  'den' : [pronouncer.LatinPronouncer],
  'dene_suline' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'deu' : [pronouncer.LatinPronouncer],
  'deutsch' : [pronouncer.LatinPronouncer],
  'dgr' : [pronouncer.LatinPronouncer],
  'dhivehi' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'dholuo' : [pronouncer.LatinPronouncer],
  'dimili' : [pronouncer.LatinPronouncer],
  'dimli' : [pronouncer.LatinPronouncer],
  'din' : [pronouncer.LatinPronouncer],
  'dinka' : [pronouncer.LatinPronouncer],
  'diné_bizaad' : [pronouncer.LatinPronouncer],
  'dinékʼehǰí' : [pronouncer.LatinPronouncer],
  'diutisc' : [pronouncer.LatinPronouncer],
  'diutisk' : [pronouncer.LatinPronouncer],
  'div' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'divehi' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'dogri' : [pronouncer.UnitranPronouncer],
  'dogrib' : [pronouncer.LatinPronouncer],
  'doi' : [pronouncer.UnitranPronouncer],
  'dolnoserbski' : [pronouncer.LatinPronouncer],
  'dsb' : [pronouncer.LatinPronouncer],
  'dua' : [pronouncer.LatinPronouncer],
  'duala' : [pronouncer.LatinPronouncer],
  'dum' : [pronouncer.LatinPronouncer],
  'dut' : [pronouncer.LatinPronouncer],
  'dutch' : [pronouncer.LatinPronouncer],
  'dv' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'dyu' : [pronouncer.LatinPronouncer],
  'dyula' : [pronouncer.LatinPronouncer],
  'dz' : [pronouncer.UnitranPronouncer],
  'dzo' : [pronouncer.UnitranPronouncer],
  'dzongkha' : [pronouncer.UnitranPronouncer],
  'dëne_sųłiné' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'edo' : [pronouncer.LatinPronouncer],
  'ee' : [pronouncer.LatinPronouncer],
  'eesti_keel' : [pronouncer.LatinPronouncer],
  'efi' : [pronouncer.LatinPronouncer],
  'efik' : [pronouncer.LatinPronouncer],
  'egy' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'egyptian' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'eka' : [pronouncer.LatinPronouncer],
  'ekajuk' : [pronouncer.LatinPronouncer],
  'ekakairũ_naoero' : [pronouncer.LatinPronouncer],
  'el' : [pronouncer.UnitranPronouncer],
  'elamite' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ell' : [pronouncer.UnitranPronouncer],
  'elx' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'eme-ĝir' : [pronouncer.LatinPronouncer],
  'en' : [pronouncer.EnglishPronouncer, pronouncer.LatinPronouncer],
  'eng' : [pronouncer.EnglishPronouncer, pronouncer.LatinPronouncer],
  'englisc' : [pronouncer.LatinPronouncer],
  'english' : [pronouncer.EnglishPronouncer, pronouncer.LatinPronouncer],
  'enm' : [pronouncer.LatinPronouncer],
  'eo' : [pronouncer.LatinPronouncer],
  'epo' : [pronouncer.LatinPronouncer],
  'erzya' : [pronouncer.UnitranPronouncer],
  'es' : [pronouncer.LatinPronouncer],
  'español' : [pronouncer.LatinPronouncer],
  'esperanto' : [pronouncer.LatinPronouncer],
  'est' : [pronouncer.LatinPronouncer],
  'estonian' : [pronouncer.LatinPronouncer],
  'et' : [pronouncer.LatinPronouncer],
  'eu' : [pronouncer.LatinPronouncer],
  'eus' : [pronouncer.LatinPronouncer],
  'euskara' : [pronouncer.LatinPronouncer],
  'ewe' : [pronouncer.LatinPronouncer],
  'ewo' : [pronouncer.LatinPronouncer],
  'ewondo' : [pronouncer.LatinPronouncer],
  'fa' : [pronouncer.UnitranPronouncer],
  'faka-niue' : [pronouncer.LatinPronouncer],
  'faka-tonga' : [pronouncer.LatinPronouncer],
  'fan' : [pronouncer.LatinPronouncer],
  'fang' : [pronouncer.LatinPronouncer],
  'fanti' : [pronouncer.LatinPronouncer],
  'fao' : [pronouncer.LatinPronouncer],
  'faroese' : [pronouncer.LatinPronouncer],
  'fas' : [pronouncer.UnitranPronouncer],
  'fat' : [pronouncer.LatinPronouncer],
  'ff' : [pronouncer.LatinPronouncer],
  'fi' : [pronouncer.LatinPronouncer],
  'fij' : [pronouncer.LatinPronouncer],
  'fijian' : [pronouncer.LatinPronouncer],
  'fil' : [pronouncer.LatinPronouncer],
  'filipino' : [pronouncer.LatinPronouncer],
  'fin' : [pronouncer.LatinPronouncer],
  'finnish' : [pronouncer.LatinPronouncer],
  'fj' : [pronouncer.LatinPronouncer],
  'flemish' : [pronouncer.LatinPronouncer],
  'fo' : [pronouncer.LatinPronouncer],
  'fon' : [pronouncer.LatinPronouncer],
  'fr' : [pronouncer.LatinPronouncer],
  'fra' : [pronouncer.LatinPronouncer],
  'français' : [pronouncer.LatinPronouncer],
  'fre' : [pronouncer.LatinPronouncer],
  'french' : [pronouncer.LatinPronouncer],
  'friulian' : [pronouncer.LatinPronouncer],
  'frm' : [pronouncer.LatinPronouncer],
  'fro' : [pronouncer.LatinPronouncer],
  'frs' : [pronouncer.LatinPronouncer],
  'frysk' : [pronouncer.LatinPronouncer],
  'fräisk' : [pronouncer.LatinPronouncer],
  'ful' : [pronouncer.LatinPronouncer],
  'fulah' : [pronouncer.LatinPronouncer],
  'fulfulde' : [pronouncer.LatinPronouncer],
  'fur' : [pronouncer.LatinPronouncer],
  'furlan' : [pronouncer.LatinPronouncer],
  'føroyskt' : [pronouncer.LatinPronouncer],
  'fɔngbe' : [pronouncer.LatinPronouncer],
  'ga' : [pronouncer.LatinPronouncer],
  'gaa' : [pronouncer.LatinPronouncer],
  'gaeilge' : [pronouncer.LatinPronouncer],
  'gaelg' : [pronouncer.LatinPronouncer],
  'gaelic' : [pronouncer.LatinPronouncer],
  "gagana_fa'a_samoa" : [pronouncer.LatinPronouncer],
  'galego' : [pronouncer.LatinPronouncer],
  'galician' : [pronouncer.LatinPronouncer],
  'ganda' : [pronouncer.LatinPronouncer],
  'gaoidhealg' : [pronouncer.LatinPronouncer],
  'gay' : [pronouncer.LatinPronouncer],
  'gayo' : [pronouncer.LatinPronouncer],
  'gba' : [pronouncer.LatinPronouncer],
  'gbaya' : [pronouncer.LatinPronouncer],
  'gd' : [pronouncer.LatinPronouncer],
  "ge'ez" : [pronouncer.UnitranPronouncer],
  'geo' : [pronouncer.UnitranPronouncer],
  'georgian' : [pronouncer.UnitranPronouncer],
  'ger' : [pronouncer.LatinPronouncer],
  'german' : [pronouncer.LatinPronouncer],
  'gez' : [pronouncer.UnitranPronouncer],
  'gikuyu' : [pronouncer.LatinPronouncer],
  'gil' : [pronouncer.LatinPronouncer],
  'gilbertese' : [pronouncer.LatinPronouncer],
  'gl' : [pronouncer.LatinPronouncer],
  'gla' : [pronouncer.LatinPronouncer],
  'gle' : [pronouncer.LatinPronouncer],
  'glg' : [pronouncer.LatinPronouncer],
  'glv' : [pronouncer.LatinPronouncer],
  'gmh' : [pronouncer.LatinPronouncer],
  'gn' : [pronouncer.LatinPronouncer],
  'goh' : [pronouncer.LatinPronouncer],
  'gon' : [pronouncer.LatinPronouncer],
  'gondi' : [pronouncer.LatinPronouncer],
  'gor' : [pronouncer.LatinPronouncer],
  'gorontalo' : [pronouncer.LatinPronouncer],
  'got' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'gothic' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'goídelc' : [pronouncer.LatinPronouncer],
  'grb' : [pronouncer.LatinPronouncer],
  'grc' : [pronouncer.UnitranPronouncer],
  'gre' : [pronouncer.UnitranPronouncer],
  'grebo' : [pronouncer.LatinPronouncer],
  'greek' : [pronouncer.UnitranPronouncer],
  'greenlandic' : [pronouncer.LatinPronouncer],
  'grn' : [pronouncer.LatinPronouncer],
  'gsw' : [pronouncer.LatinPronouncer],
  'gu' : [pronouncer.UnitranPronouncer],
  'guarani' : [pronouncer.LatinPronouncer],
  'guj' : [pronouncer.UnitranPronouncer],
  'gujarati' : [pronouncer.UnitranPronouncer],
  'gv' : [pronouncer.LatinPronouncer],
  'gwi' : [pronouncer.LatinPronouncer],
  'gwichʼin' : [pronouncer.LatinPronouncer],
  'gàidhlig' : [pronouncer.LatinPronouncer],
  'gã' : [pronouncer.LatinPronouncer],
  'gĩkũyũ' : [pronouncer.LatinPronouncer],
  'gōndi' : [pronouncer.LatinPronouncer],
  'ha' : [pronouncer.LatinPronouncer],
  'hai' : [pronouncer.LatinPronouncer],
  'haida' : [pronouncer.LatinPronouncer],
  'haitian' : [pronouncer.LatinPronouncer],
  'haitian_creole' : [pronouncer.LatinPronouncer],
  'hasí:nay' : [pronouncer.LatinPronouncer],
  'hat' : [pronouncer.LatinPronouncer],
  'hau' : [pronouncer.LatinPronouncer],
  'hausa' : [pronouncer.LatinPronouncer],
  'hausancī' : [pronouncer.LatinPronouncer],
  'haw' : [pronouncer.LatinPronouncer],
  'hawaiian' : [pronouncer.LatinPronouncer],
  'he' : [pronouncer.UnitranPronouncer],
  'heb' : [pronouncer.UnitranPronouncer],
  'hebrew' : [pronouncer.UnitranPronouncer],
  'her' : [pronouncer.LatinPronouncer],
  'herero' : [pronouncer.LatinPronouncer],
  'hi' : [pronouncer.UnitranPronouncer],
  'hil' : [pronouncer.LatinPronouncer],
  'hiligaynon' : [pronouncer.LatinPronouncer],
  'him' : [pronouncer.LatinPronouncer],
  'himachali' : [pronouncer.LatinPronouncer],
  'hin' : [pronouncer.UnitranPronouncer],
  'hindi' : [pronouncer.UnitranPronouncer],
  "hinóno'eitíít" : [pronouncer.LatinPronouncer],
  'hiri_motu' : [pronouncer.LatinPronouncer],
  'hit' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'hittite' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'hmn' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'hmo' : [pronouncer.LatinPronouncer],
  'hmong' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'hmoob' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ho' : [pronouncer.LatinPronouncer],
  'hornjoserbsce' : [pronouncer.LatinPronouncer],
  'hr' : [pronouncer.LatinPronouncer],
  'hrv' : [pronouncer.LatinPronouncer],
  'hrvatski_jezik' : [pronouncer.LatinPronouncer],
  'hsb' : [pronouncer.LatinPronouncer],
  'ht' : [pronouncer.LatinPronouncer],
  'hu' : [pronouncer.LatinPronouncer],
  'hun' : [pronouncer.LatinPronouncer],
  'hungarian' : [pronouncer.LatinPronouncer],
  'hup' : [pronouncer.LatinPronouncer],
  'hupa' : [pronouncer.LatinPronouncer],
  'hy' : [pronouncer.UnitranPronouncer],
  'hye' : [pronouncer.UnitranPronouncer],
  'hz' : [pronouncer.LatinPronouncer],
  'iba' : [pronouncer.LatinPronouncer],
  'iban' : [pronouncer.LatinPronouncer],
  'ibo' : [pronouncer.LatinPronouncer],
  'ice' : [pronouncer.LatinPronouncer],
  'icelandic' : [pronouncer.LatinPronouncer],
  'ichibemba' : [pronouncer.LatinPronouncer],
  'id' : [pronouncer.LatinPronouncer],
  'ido' : [pronouncer.LatinPronouncer],
  'ie' : [pronouncer.LatinPronouncer],
  'ig' : [pronouncer.LatinPronouncer],
  'igbo' : [pronouncer.LatinPronouncer],
  'ii' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'iii' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ik' : [pronouncer.LatinPronouncer],
  'iku' : [pronouncer.UnitranPronouncer],
  'ile' : [pronouncer.LatinPronouncer],
  'ilo' : [pronouncer.LatinPronouncer],
  'iloko' : [pronouncer.LatinPronouncer],
  'ilonggo' : [pronouncer.LatinPronouncer],
  'inari_sami' : [pronouncer.LatinPronouncer],
  'ind' : [pronouncer.LatinPronouncer],
  'indonesian' : [pronouncer.LatinPronouncer],
  'ingush' : [pronouncer.UnitranPronouncer],
  'inh' : [pronouncer.UnitranPronouncer],
  'interlingue' : [pronouncer.LatinPronouncer],
  'inuktitut' : [pronouncer.UnitranPronouncer],
  'inupiaq' : [pronouncer.LatinPronouncer],
  'io' : [pronouncer.LatinPronouncer],
  'ipk' : [pronouncer.LatinPronouncer],
  'irish' : [pronouncer.LatinPronouncer],
  'is' : [pronouncer.LatinPronouncer],
  'isindebele' : [pronouncer.LatinPronouncer],
  'isixhosa' : [pronouncer.LatinPronouncer],
  'isizulu' : [pronouncer.LatinPronouncer],
  'isl' : [pronouncer.LatinPronouncer],
  'it' : [pronouncer.LatinPronouncer],
  'ita' : [pronouncer.LatinPronouncer],
  'italian' : [pronouncer.LatinPronouncer],
  'italiano' : [pronouncer.LatinPronouncer],
  'iu' : [pronouncer.UnitranPronouncer],
  'iñupiaq' : [pronouncer.LatinPronouncer],
  'iñupiatun' : [pronouncer.LatinPronouncer],
  'ja' : [pronouncer.UnitranPronouncer],
  'japanese' : [pronouncer.UnitranPronouncer, pronouncer.HanziPronouncer],
  'jav' : [pronouncer.LatinPronouncer],
  'javanese' : [pronouncer.LatinPronouncer],
  'jbo' : [pronouncer.LatinPronouncer],
  'jingpho' : [pronouncer.LatinPronouncer],
  'jpn' : [pronouncer.UnitranPronouncer, pronouncer.HanziPronouncer],
  'jpr' : [pronouncer.UnitranPronouncer],
  'jrb' : [pronouncer.UnitranPronouncer],
  'judeo-arabic' : [pronouncer.UnitranPronouncer],
  'judeo-persian' : [pronouncer.UnitranPronouncer],
  'julakan' : [pronouncer.LatinPronouncer],
  'jv' : [pronouncer.LatinPronouncer],
  'ka' : [pronouncer.UnitranPronouncer],
  'kaa' : [pronouncer.UnitranPronouncer],
  'kab' : [pronouncer.LatinPronouncer],
  'kabardian' : [pronouncer.UnitranPronouncer],
  'kabyle' : [pronouncer.LatinPronouncer],
  'kac' : [pronouncer.LatinPronouncer],
  'kachin' : [pronouncer.LatinPronouncer],
  'kajin_m̧ajeļ' : [pronouncer.LatinPronouncer],
  'kal' : [pronouncer.LatinPronouncer],
  'kalaallisut' : [pronouncer.LatinPronouncer],
  'kalaallit_oqaasii' : [pronouncer.LatinPronouncer],
  'kalmyk' : [pronouncer.UnitranPronouncer],
  'kam' : [pronouncer.LatinPronouncer],
  'kamba' : [pronouncer.LatinPronouncer],
  'kan' : [pronouncer.UnitranPronouncer],
  'kanien’keha' : [pronouncer.LatinPronouncer],
  'kannada' : [pronouncer.UnitranPronouncer],
  'kanuri' : [pronouncer.LatinPronouncer],
  'kapampangan' : [pronouncer.LatinPronouncer],
  'kara-kalpak' : [pronouncer.UnitranPronouncer],
  'karachay-balkar' : [pronouncer.UnitranPronouncer],
  'karelian' : [pronouncer.LatinPronouncer],
  'karjalan_kieli' : [pronouncer.LatinPronouncer],
  'kas' : [pronouncer.UnitranPronouncer],
  'kashmiri' : [pronouncer.UnitranPronouncer],
  'kashubian' : [pronouncer.LatinPronouncer],
  'kaszëbsczi_jãzëk' : [pronouncer.LatinPronouncer],
  'kat' : [pronouncer.UnitranPronouncer],
  'kau' : [pronouncer.LatinPronouncer],
  'kaw' : [pronouncer.LatinPronouncer],
  'kawi' : [pronouncer.LatinPronouncer],
  'kaz' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'kazakh' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'kbd' : [pronouncer.UnitranPronouncer],
  'kernewek' : [pronouncer.LatinPronouncer],
  'kg' : [pronouncer.LatinPronouncer],
  'kha' : [pronouncer.UnitranPronouncer],
  'khasa' : [pronouncer.LatinPronouncer],
  'khasi' : [pronouncer.UnitranPronouncer],
  'khm' : [pronouncer.UnitranPronouncer],
  'kho' : [pronouncer.LatinPronouncer],
  'khotanese' : [pronouncer.LatinPronouncer],
  'ki' : [pronouncer.LatinPronouncer],
  'kichwa' : [pronouncer.LatinPronouncer],
  'kik' : [pronouncer.LatinPronouncer],
  'kikongo' : [pronouncer.LatinPronouncer],
  'kikuyu' : [pronouncer.LatinPronouncer],
  'kimbundu' : [pronouncer.LatinPronouncer],
  'kin' : [pronouncer.LatinPronouncer],
  'kinyarwanda' : [pronouncer.LatinPronouncer],
  'kir' : [pronouncer.UnitranPronouncer],
  'kirdki' : [pronouncer.LatinPronouncer],
  'kirghiz' : [pronouncer.UnitranPronouncer],
  'kiribati' : [pronouncer.LatinPronouncer],
  'kirmanjki' : [pronouncer.LatinPronouncer],
  'kirundi' : [pronouncer.LatinPronouncer],
  'kiswahili' : [pronouncer.LatinPronouncer],
  'kj' : [pronouncer.LatinPronouncer],
  'kk' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'kl' : [pronouncer.LatinPronouncer],
  'klingon' : [pronouncer.LatinPronouncer],
  'km' : [pronouncer.UnitranPronouncer],
  'kmb' : [pronouncer.LatinPronouncer],
  'kn' : [pronouncer.UnitranPronouncer],
  'ko' : [pronouncer.UnitranPronouncer],
  'ko_e_vagahau_niuē' : [pronouncer.LatinPronouncer],
  'kok' : [pronouncer.UnitranPronouncer],
  'kom' : [pronouncer.UnitranPronouncer],
  'komi' : [pronouncer.UnitranPronouncer],
  'kon' : [pronouncer.LatinPronouncer],
  'kongo' : [pronouncer.LatinPronouncer],
  'konkani' : [pronouncer.UnitranPronouncer],
  'kor' : [pronouncer.UnitranPronouncer],
  'korean' : [pronouncer.UnitranPronouncer],
  'kos' : [pronouncer.LatinPronouncer],
  'kosrae' : [pronouncer.LatinPronouncer],
  'kosraean' : [pronouncer.LatinPronouncer],
  'kpe' : [pronouncer.LatinPronouncer],
  'kpele' : [pronouncer.LatinPronouncer],
  'kpelle' : [pronouncer.LatinPronouncer],
  'kr' : [pronouncer.LatinPronouncer],
  'krc' : [pronouncer.UnitranPronouncer],
  'kreyòl_ayisyen' : [pronouncer.LatinPronouncer],
  'krl' : [pronouncer.LatinPronouncer],
  'kru' : [pronouncer.LatinPronouncer],
  'ks' : [pronouncer.UnitranPronouncer],
  'ktunaxa' : [pronouncer.LatinPronouncer],
  'ku' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'kua' : [pronouncer.LatinPronouncer],
  'kuanyama' : [pronouncer.LatinPronouncer],
  'kum' : [pronouncer.UnitranPronouncer],
  'kumyk' : [pronouncer.UnitranPronouncer],
  'kur' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'kurdish' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'kurdî' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'kurukh' : [pronouncer.LatinPronouncer],
  'kut' : [pronouncer.LatinPronouncer],
  'kutenai' : [pronouncer.LatinPronouncer],
  'kv' : [pronouncer.UnitranPronouncer],
  'kw' : [pronouncer.LatinPronouncer],
  'kwanyama' : [pronouncer.LatinPronouncer],
  'ky' : [pronouncer.UnitranPronouncer],
  'kyrgyz' : [pronouncer.UnitranPronouncer],
  'la' : [pronouncer.LatinPronouncer],
  'lad' : [pronouncer.UnitranPronouncer],
  'ladino' : [pronouncer.UnitranPronouncer],
  'lah' : [pronouncer.UnitranPronouncer],
  'lahnda' : [pronouncer.UnitranPronouncer],
  'lakhota' : [pronouncer.LatinPronouncer],
  'lallans' : [pronouncer.LatinPronouncer],
  'lam' : [pronouncer.LatinPronouncer],
  'lamba' : [pronouncer.LatinPronouncer],
  'langue_française' : [pronouncer.LatinPronouncer],
  'lao' : [pronouncer.UnitranPronouncer],
  'lat' : [pronouncer.LatinPronouncer],
  'latine' : [pronouncer.LatinPronouncer],
  'latvian' : [pronouncer.LatinPronouncer],
  'latviešu_valoda' : [pronouncer.LatinPronouncer],
  'lav' : [pronouncer.LatinPronouncer],
  'lb' : [pronouncer.LatinPronouncer],
  'leonese' : [pronouncer.LatinPronouncer],
  'letzeburgesch' : [pronouncer.LatinPronouncer],
  'lez' : [pronouncer.UnitranPronouncer],
  'lezghian' : [pronouncer.UnitranPronouncer],
  'lg' : [pronouncer.LatinPronouncer],
  'lhéngua_mirandesa' : [pronouncer.LatinPronouncer],
  'li' : [pronouncer.LatinPronouncer],
  'lia-tetun' : [pronouncer.LatinPronouncer],
  'lietuvių_kalba' : [pronouncer.LatinPronouncer],
  'lim' : [pronouncer.LatinPronouncer],
  'limba_armãneascã' : [pronouncer.LatinPronouncer],
  'limburgan' : [pronouncer.LatinPronouncer],
  'limburger' : [pronouncer.LatinPronouncer],
  'limburgish' : [pronouncer.LatinPronouncer],
  'limburgs' : [pronouncer.LatinPronouncer],
  'lin' : [pronouncer.LatinPronouncer],
  'lineyte-samarnon' : [pronouncer.LatinPronouncer],
  'lingala' : [pronouncer.LatinPronouncer],
  'lingua_corsa' : [pronouncer.LatinPronouncer],
  'lingua_latina' : [pronouncer.LatinPronouncer],
  'lingít' : [pronouncer.LatinPronouncer],
  'lit' : [pronouncer.LatinPronouncer],
  'lithuanian' : [pronouncer.LatinPronouncer],
  'lišānum_akkadītum' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ln' : [pronouncer.LatinPronouncer],
  'lo' : [pronouncer.UnitranPronouncer],
  'lojban' : [pronouncer.LatinPronouncer],
  'lol' : [pronouncer.LatinPronouncer],
  'low_german' : [pronouncer.LatinPronouncer],
  'low_saxon' : [pronouncer.LatinPronouncer],
  'lower_sorbian' : [pronouncer.LatinPronouncer],
  'loz' : [pronouncer.LatinPronouncer],
  'lozi' : [pronouncer.LatinPronouncer],
  'lt' : [pronouncer.LatinPronouncer],
  'ltz' : [pronouncer.LatinPronouncer],
  'lu' : [pronouncer.LatinPronouncer],
  'lua' : [pronouncer.LatinPronouncer],
  'lub' : [pronouncer.LatinPronouncer],
  'luba-katanga' : [pronouncer.LatinPronouncer],
  'luba-lulua' : [pronouncer.LatinPronouncer],
  'lug' : [pronouncer.LatinPronouncer],
  'luganda' : [pronouncer.LatinPronouncer],
  'lui' : [pronouncer.LatinPronouncer],
  'luiseño' : [pronouncer.LatinPronouncer],
  'lule_sami' : [pronouncer.LatinPronouncer],
  'lun' : [pronouncer.LatinPronouncer],
  'lunda' : [pronouncer.LatinPronouncer],
  'luo' : [pronouncer.LatinPronouncer],
  'lus' : [pronouncer.LatinPronouncer],
  'lushai' : [pronouncer.LatinPronouncer],
  'luxembourgish' : [pronouncer.LatinPronouncer],
  'lv' : [pronouncer.LatinPronouncer],
  'lwaà:' : [pronouncer.LatinPronouncer],
  'lënape' : [pronouncer.LatinPronouncer],
  'lëtzebuergesch' : [pronouncer.LatinPronouncer],
  'mac' : [pronouncer.UnitranPronouncer],
  'macedo-romanian' : [pronouncer.LatinPronouncer],
  'macedonian' : [pronouncer.UnitranPronouncer],
  'mad' : [pronouncer.LatinPronouncer],
  'madurese' : [pronouncer.LatinPronouncer],
  'mag' : [pronouncer.LatinPronouncer],
  'magahi' : [pronouncer.LatinPronouncer],
  'magyar' : [pronouncer.LatinPronouncer],
  'mah' : [pronouncer.LatinPronouncer],
  'mai' : [pronouncer.UnitranPronouncer],
  'maithili' : [pronouncer.UnitranPronouncer],
  'mak' : [pronouncer.LatinPronouncer],
  'makasar' : [pronouncer.LatinPronouncer],
  'mal' : [pronouncer.UnitranPronouncer],
  'malagasy' : [pronouncer.LatinPronouncer],
  'malagasy_fiteny' : [pronouncer.LatinPronouncer],
  'malay' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'malayalam' : [pronouncer.UnitranPronouncer],
  'maldivian' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'maltese' : [pronouncer.LatinPronouncer],
  'malti' : [pronouncer.LatinPronouncer],
  'man' : [pronouncer.LatinPronouncer],
  'manchu' : [pronouncer.UnitranPronouncer],
  'mandar' : [pronouncer.LatinPronouncer],
  'mandingo' : [pronouncer.LatinPronouncer],
  'manipuri' : [pronouncer.UnitranPronouncer],
  'manninagh' : [pronouncer.LatinPronouncer],
  'manx' : [pronouncer.LatinPronouncer],
  'mao' : [pronouncer.LatinPronouncer],
  'mapuche' : [pronouncer.LatinPronouncer],
  'mapuchedungun' : [pronouncer.LatinPronouncer],
  'mapudungun' : [pronouncer.LatinPronouncer],
  'mar' : [pronouncer.UnitranPronouncer],
  'marathi' : [pronouncer.UnitranPronouncer],
  'mari' : [pronouncer.UnitranPronouncer],
  'marip' : [pronouncer.LatinPronouncer],
  'marshallese' : [pronouncer.LatinPronouncer],
  'marwari' : [pronouncer.UnitranPronouncer],
  'mas' : [pronouncer.LatinPronouncer],
  'masai' : [pronouncer.LatinPronouncer],
  'maskoki' : [pronouncer.LatinPronouncer],
  'may' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'mdf' : [pronouncer.UnitranPronouncer],
  'mdr' : [pronouncer.LatinPronouncer],
  'men' : [pronouncer.LatinPronouncer],
  'mende' : [pronouncer.LatinPronouncer],
  'mg' : [pronouncer.LatinPronouncer],
  'mga' : [pronouncer.LatinPronouncer],
  'mh' : [pronouncer.LatinPronouncer],
  'mi' : [pronouncer.LatinPronouncer],
  "mi'gmaq" : [pronouncer.LatinPronouncer],
  "mi'kmaq" : [pronouncer.LatinPronouncer],
  'mic' : [pronouncer.LatinPronouncer],
  'micmac' : [pronouncer.LatinPronouncer],
  'middle_dutch' : [pronouncer.LatinPronouncer],
  'middle_english' : [pronouncer.LatinPronouncer],
  'middle_french' : [pronouncer.LatinPronouncer],
  'middle_high_german' : [pronouncer.LatinPronouncer],
  'middle_irish' : [pronouncer.LatinPronouncer],
  'min' : [pronouncer.LatinPronouncer],
  'minangkabau' : [pronouncer.LatinPronouncer],
  'mirandese' : [pronouncer.LatinPronouncer],
  'mk' : [pronouncer.UnitranPronouncer],
  'mkd' : [pronouncer.UnitranPronouncer],
  'ml' : [pronouncer.UnitranPronouncer],
  'mlg' : [pronouncer.LatinPronouncer],
  'mlt' : [pronouncer.LatinPronouncer],
  'mn' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'mnc' : [pronouncer.UnitranPronouncer],
  'mni' : [pronouncer.UnitranPronouncer],
  'mo' : [pronouncer.UnitranPronouncer],
  'modern_greek' : [pronouncer.UnitranPronouncer],
  'moh' : [pronouncer.LatinPronouncer],
  'mohawk' : [pronouncer.LatinPronouncer],
  'moksha' : [pronouncer.UnitranPronouncer],
  'mol' : [pronouncer.UnitranPronouncer],
  'moldavian' : [pronouncer.UnitranPronouncer],
  'moldovan' : [pronouncer.UnitranPronouncer],
  'mon' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'mongo' : [pronouncer.LatinPronouncer],
  'mongolian' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'mos' : [pronouncer.LatinPronouncer],
  'mossi' : [pronouncer.LatinPronouncer],
  'mr' : [pronouncer.UnitranPronouncer],
  'mri' : [pronouncer.LatinPronouncer],
  'ms' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'msa' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'mt' : [pronouncer.LatinPronouncer],
  'mus' : [pronouncer.LatinPronouncer],
  'muskogean' : [pronouncer.LatinPronouncer],
  'mvskokē_empunakv' : [pronouncer.LatinPronouncer],
  'mwl' : [pronouncer.LatinPronouncer],
  'mwr' : [pronouncer.UnitranPronouncer],
  'my' : [pronouncer.UnitranPronouncer],
  'mya' : [pronouncer.UnitranPronouncer],
  'myv' : [pronouncer.UnitranPronouncer],
  'míkmaq' : [pronouncer.LatinPronouncer],
  'mòoré' : [pronouncer.LatinPronouncer],
  'māori' : [pronouncer.LatinPronouncer],
  'mɛnde' : [pronouncer.LatinPronouncer],
  "n'ko" : [pronouncer.LatinPronouncer],
  'na' : [pronouncer.LatinPronouncer],
  'na:tinixwe_mixine:whe' : [pronouncer.LatinPronouncer],
  'nap' : [pronouncer.LatinPronouncer],
  'napulitano' : [pronouncer.LatinPronouncer],
  'nau' : [pronouncer.LatinPronouncer],
  'nauruan' : [pronouncer.LatinPronouncer],
  'nav' : [pronouncer.LatinPronouncer],
  'navaho' : [pronouncer.LatinPronouncer],
  'navajo' : [pronouncer.LatinPronouncer],
  'nb' : [pronouncer.LatinPronouncer],
  'nbl' : [pronouncer.LatinPronouncer],
  'nd' : [pronouncer.LatinPronouncer],
  'nde' : [pronouncer.LatinPronouncer],
  'ndo' : [pronouncer.LatinPronouncer],
  'ndonga' : [pronouncer.LatinPronouncer],
  'nds' : [pronouncer.LatinPronouncer],
  'ndébélé' : [pronouncer.LatinPronouncer],
  'ne' : [pronouncer.UnitranPronouncer],
  'neapolitan' : [pronouncer.LatinPronouncer],
  'nederdüütsch' : [pronouncer.LatinPronouncer],
  'nederlands' : [pronouncer.LatinPronouncer],
  'nep' : [pronouncer.UnitranPronouncer],
  'nepal_bhasa' : [pronouncer.UnitranPronouncer],
  'nepali' : [pronouncer.UnitranPronouncer],
  'new' : [pronouncer.UnitranPronouncer],
  'newari' : [pronouncer.UnitranPronouncer],
  'ng' : [pronouncer.LatinPronouncer],
  'nia' : [pronouncer.LatinPronouncer],
  'nias' : [pronouncer.LatinPronouncer],
  'niu' : [pronouncer.LatinPronouncer],
  'niuean' : [pronouncer.LatinPronouncer],
  'nl' : [pronouncer.LatinPronouncer],
  'nld' : [pronouncer.LatinPronouncer],
  'nn' : [pronouncer.LatinPronouncer],
  'nno' : [pronouncer.LatinPronouncer],
  'no' : [pronouncer.LatinPronouncer],
  'nob' : [pronouncer.LatinPronouncer],
  'nog' : [pronouncer.UnitranPronouncer],
  'nogai' : [pronouncer.UnitranPronouncer],
  'non' : [pronouncer.LatinPronouncer],
  'nor' : [pronouncer.LatinPronouncer],
  'norsk' : [pronouncer.LatinPronouncer],
  'norsk_bokmål' : [pronouncer.LatinPronouncer],
  'norsk_nynorsk' : [pronouncer.LatinPronouncer],
  'norskr' : [pronouncer.LatinPronouncer],
  'north_ndebele' : [pronouncer.LatinPronouncer],
  'northern_sami' : [pronouncer.LatinPronouncer],
  'northern_sotho' : [pronouncer.LatinPronouncer],
  'norwegian' : [pronouncer.LatinPronouncer],
  'norwegian_bokmål' : [pronouncer.LatinPronouncer],
  'norwegian_nynorsk' : [pronouncer.LatinPronouncer],
  'nqo' : [pronouncer.LatinPronouncer],
  'nr' : [pronouncer.LatinPronouncer],
  'nso' : [pronouncer.LatinPronouncer],
  'nuosu' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'nv' : [pronouncer.LatinPronouncer],
  'nwc' : [pronouncer.UnitranPronouncer],
  'ny' : [pronouncer.LatinPronouncer],
  'nya' : [pronouncer.LatinPronouncer],
  'nyamwezi_kinyamwezi' : [pronouncer.LatinPronouncer],
  'nyanja' : [pronouncer.LatinPronouncer],
  'nyankole' : [pronouncer.LatinPronouncer],
  'nym' : [pronouncer.LatinPronouncer],
  'nyn' : [pronouncer.LatinPronouncer],
  'nyo' : [pronouncer.LatinPronouncer],
  'nyoro' : [pronouncer.LatinPronouncer],
  'nzi' : [pronouncer.LatinPronouncer],
  'nzima' : [pronouncer.LatinPronouncer],
  "o'zbek" : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'oc' : [pronouncer.LatinPronouncer],
  'occidental' : [pronouncer.LatinPronouncer],
  'occitan' : [pronouncer.LatinPronouncer],
  'oci' : [pronouncer.LatinPronouncer],
  'oirat' : [pronouncer.UnitranPronouncer],
  'oj' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'oji' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ojibwa' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'old_bulgarian' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'old_church_slavonic' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'old_english' : [pronouncer.LatinPronouncer],
  'old_french' : [pronouncer.LatinPronouncer],
  'old_high_german' : [pronouncer.LatinPronouncer],
  'old_irish' : [pronouncer.LatinPronouncer],
  'old_newari' : [pronouncer.UnitranPronouncer],
  'old_norse' : [pronouncer.LatinPronouncer],
  'old_persian' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'old_provençal' : [pronouncer.LatinPronouncer],
  'old_slavonic' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'om' : [pronouncer.LatinPronouncer],
  'or' : [pronouncer.UnitranPronouncer],
  'ori' : [pronouncer.UnitranPronouncer],
  'oriya' : [pronouncer.UnitranPronouncer],
  'orm' : [pronouncer.LatinPronouncer],
  'oromo' : [pronouncer.LatinPronouncer],
  'os' : [pronouncer.UnitranPronouncer],
  'osa' : [pronouncer.LatinPronouncer],
  'osage' : [pronouncer.LatinPronouncer],
  'oss' : [pronouncer.UnitranPronouncer],
  'ossetian' : [pronouncer.UnitranPronouncer],
  'ossetic' : [pronouncer.UnitranPronouncer],
  'ota' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'otjiherero' : [pronouncer.LatinPronouncer],
  'ottoman' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'owambo' : [pronouncer.LatinPronouncer],
  'pa' : [pronouncer.UnitranPronouncer],
  'pag' : [pronouncer.LatinPronouncer],
  'pahlavi' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'pal' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'palauan' : [pronouncer.LatinPronouncer],
  'pali' : [pronouncer.UnitranPronouncer],
  'pam' : [pronouncer.LatinPronouncer],
  'pampanga' : [pronouncer.LatinPronouncer],
  'pan' : [pronouncer.UnitranPronouncer],
  'pangasinan' : [pronouncer.LatinPronouncer],
  'panjabi' : [pronouncer.UnitranPronouncer],
  'pap' : [pronouncer.LatinPronouncer],
  'papiamento' : [pronouncer.LatinPronouncer],
  'papiamentu' : [pronouncer.LatinPronouncer],
  'pashto' : [pronouncer.UnitranPronouncer],
  'pau' : [pronouncer.LatinPronouncer],
  'pedi' : [pronouncer.LatinPronouncer],
  'peo' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'pepito_ote_henua' : [pronouncer.LatinPronouncer],
  'per' : [pronouncer.UnitranPronouncer],
  'persian' : [pronouncer.UnitranPronouncer],
  'phn' : [pronouncer.UnitranPronouncer],
  'phoenician' : [pronouncer.UnitranPronouncer],
  'pi' : [pronouncer.UnitranPronouncer],
  'pl' : [pronouncer.LatinPronouncer],
  'plattdüütsch' : [pronouncer.LatinPronouncer],
  'pli' : [pronouncer.UnitranPronouncer],
  'pohnpeian' : [pronouncer.LatinPronouncer],
  'pol' : [pronouncer.LatinPronouncer],
  'polish' : [pronouncer.LatinPronouncer],
  'polski' : [pronouncer.LatinPronouncer],
  'pon' : [pronouncer.LatinPronouncer],
  'por' : [pronouncer.LatinPronouncer],
  'portuguese' : [pronouncer.LatinPronouncer],
  'português' : [pronouncer.LatinPronouncer],
  'pro' : [pronouncer.LatinPronouncer],
  'pronouncer.latinpronouncer' : [pronouncer.LatinPronouncer],
  'provençal' : [pronouncer.LatinPronouncer],
  'ps' : [pronouncer.UnitranPronouncer],
  'pt' : [pronouncer.LatinPronouncer],
  'pulaar' : [pronouncer.LatinPronouncer],
  'pular' : [pronouncer.LatinPronouncer],
  'punjabi' : [pronouncer.UnitranPronouncer],
  'pus' : [pronouncer.UnitranPronouncer],
  'pushto' : [pronouncer.UnitranPronouncer],
  'qu' : [pronouncer.LatinPronouncer],
  'que' : [pronouncer.LatinPronouncer],
  'quechua' : [pronouncer.LatinPronouncer],
  'qırımtatar_tili' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'raeto-romance' : [pronouncer.LatinPronouncer],
  'raj' : [pronouncer.UnitranPronouncer],
  'rajasthani' : [pronouncer.UnitranPronouncer],
  'rap' : [pronouncer.LatinPronouncer],
  'rapanui' : [pronouncer.LatinPronouncer],
  'rar' : [pronouncer.LatinPronouncer],
  'rarotongan' : [pronouncer.LatinPronouncer],
  'rm' : [pronouncer.LatinPronouncer],
  'rn' : [pronouncer.LatinPronouncer],
  'ro' : [pronouncer.LatinPronouncer],
  'roh' : [pronouncer.LatinPronouncer],
  'rom' : [pronouncer.LatinPronouncer],
  'romani_šib' : [pronouncer.LatinPronouncer],
  'romanian' : [pronouncer.LatinPronouncer],
  'romansh' : [pronouncer.LatinPronouncer],
  'romany' : [pronouncer.LatinPronouncer],
  'romanó' : [pronouncer.LatinPronouncer],
  'română' : [pronouncer.LatinPronouncer],
  'ron' : [pronouncer.LatinPronouncer],
  'rromani_ćhib' : [pronouncer.LatinPronouncer],
  'ru' : [pronouncer.UnitranPronouncer],
  'rum' : [pronouncer.LatinPronouncer],
  'rumantsch_grischun' : [pronouncer.LatinPronouncer],
  'run' : [pronouncer.LatinPronouncer],
  'runa_simi' : [pronouncer.LatinPronouncer],
  'rundi' : [pronouncer.LatinPronouncer],
  'runyoro' : [pronouncer.LatinPronouncer],
  'rup' : [pronouncer.LatinPronouncer],
  'rus' : [pronouncer.UnitranPronouncer],
  'russian' : [pronouncer.UnitranPronouncer],
  'rw' : [pronouncer.LatinPronouncer],
  'sa' : [pronouncer.UnitranPronouncer],
  'sad' : [pronouncer.LatinPronouncer],
  'saemien_giele' : [pronouncer.LatinPronouncer],
  'sag' : [pronouncer.LatinPronouncer],
  'sah' : [pronouncer.UnitranPronouncer],
  'sam' : [pronouncer.UnitranPronouncer],
  'samaritan_aramaic' : [pronouncer.UnitranPronouncer],
  'samoan' : [pronouncer.LatinPronouncer],
  'san' : [pronouncer.UnitranPronouncer],
  'sandawe' : [pronouncer.LatinPronouncer],
  'sango' : [pronouncer.LatinPronouncer],
  'sanskrit' : [pronouncer.UnitranPronouncer],
  'santali' : [pronouncer.UnitranPronouncer],
  'sardinian' : [pronouncer.LatinPronouncer],
  'sardu' : [pronouncer.LatinPronouncer],
  'sas' : [pronouncer.LatinPronouncer],
  'sasak' : [pronouncer.LatinPronouncer],
  'sat' : [pronouncer.UnitranPronouncer],
  'saw_cuengh' : [pronouncer.LatinPronouncer],
  'saɯ_cueŋƅ' : [pronouncer.LatinPronouncer],
  'sc' : [pronouncer.LatinPronouncer],
  'schwyzerdütsch' : [pronouncer.LatinPronouncer],
  'scn' : [pronouncer.LatinPronouncer],
  'sco' : [pronouncer.LatinPronouncer],
  'scoats_leid' : [pronouncer.LatinPronouncer],
  'scots' : [pronouncer.LatinPronouncer],
  'scottish_gaelic' : [pronouncer.LatinPronouncer],
  'sd' : [pronouncer.UnitranPronouncer],
  'se' : [pronouncer.LatinPronouncer],
  'seeltersk' : [pronouncer.LatinPronouncer],
  'seeltersk_fräisk' : [pronouncer.LatinPronouncer],
  'sel' : [pronouncer.UnitranPronouncer],
  'selkup' : [pronouncer.UnitranPronouncer],
  'sepedi' : [pronouncer.LatinPronouncer],
  'sepêdi' : [pronouncer.LatinPronouncer],
  'serbian' : [pronouncer.UnitranPronouncer],
  'serbo-croatian' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'serer' : [pronouncer.LatinPronouncer],
  'sesotho' : [pronouncer.LatinPronouncer],
  'setswana' : [pronouncer.LatinPronouncer],
  'sg' : [pronouncer.LatinPronouncer],
  'sga' : [pronouncer.LatinPronouncer],
  'sh' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'shan' : [pronouncer.LatinPronouncer],
  'shiwi' : [pronouncer.LatinPronouncer],
  'shn' : [pronouncer.LatinPronouncer],
  'shona' : [pronouncer.LatinPronouncer],
  'shqip' : [pronouncer.LatinPronouncer],
  'si' : [pronouncer.UnitranPronouncer],
  'sichuan_yi' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'sicilian' : [pronouncer.LatinPronouncer],
  'sicilianu' : [pronouncer.LatinPronouncer],
  'sid' : [pronouncer.LatinPronouncer],
  'sidamo' : [pronouncer.LatinPronouncer],
  "sidámo_'afó" : [pronouncer.LatinPronouncer],
  'siksika' : [pronouncer.UnitranPronouncer],
  'siksiká' : [pronouncer.UnitranPronouncer],
  'silozi' : [pronouncer.LatinPronouncer],
  'sin' : [pronouncer.UnitranPronouncer],
  'sindhi' : [pronouncer.UnitranPronouncer],
  'sinhala' : [pronouncer.UnitranPronouncer],
  'sinhalese' : [pronouncer.UnitranPronouncer],
  'sinugboanon' : [pronouncer.LatinPronouncer],
  'siswati' : [pronouncer.LatinPronouncer],
  'sk' : [pronouncer.LatinPronouncer],
  'skolt_sami' : [pronouncer.LatinPronouncer],
  'sl' : [pronouncer.LatinPronouncer],
  'slave' : [pronouncer.LatinPronouncer],
  'slk' : [pronouncer.LatinPronouncer],
  'slo' : [pronouncer.LatinPronouncer],
  'slovak' : [pronouncer.LatinPronouncer],
  'slovenian' : [pronouncer.LatinPronouncer],
  'slovenčina' : [pronouncer.LatinPronouncer],
  'slovenščina' : [pronouncer.LatinPronouncer],
  'slv' : [pronouncer.LatinPronouncer],
  'sm' : [pronouncer.LatinPronouncer],
  'sma' : [pronouncer.LatinPronouncer],
  'sme' : [pronouncer.LatinPronouncer],
  'smj' : [pronouncer.LatinPronouncer],
  'smn' : [pronouncer.LatinPronouncer],
  'smo' : [pronouncer.LatinPronouncer],
  'sms' : [pronouncer.LatinPronouncer],
  'sn' : [pronouncer.LatinPronouncer],
  'sna' : [pronouncer.LatinPronouncer],
  'snd' : [pronouncer.UnitranPronouncer],
  'snk' : [pronouncer.LatinPronouncer],
  'so' : [pronouncer.LatinPronouncer],
  'sog' : [pronouncer.LatinPronouncer],
  'sogdian' : [pronouncer.LatinPronouncer],
  'som' : [pronouncer.LatinPronouncer],
  'somali' : [pronouncer.LatinPronouncer],
  'soninkanxaane' : [pronouncer.LatinPronouncer],
  'soninke' : [pronouncer.LatinPronouncer],
  'soomaaliga' : [pronouncer.LatinPronouncer],
  'sot' : [pronouncer.LatinPronouncer],
  'south_ndebele' : [pronouncer.LatinPronouncer],
  'southern_altai' : [pronouncer.UnitranPronouncer],
  'southern_sami' : [pronouncer.LatinPronouncer],
  'southern_sotho' : [pronouncer.LatinPronouncer],
  'spa' : [pronouncer.LatinPronouncer],
  'spanish' : [pronouncer.LatinPronouncer],
  'sq' : [pronouncer.LatinPronouncer],
  'sqi' : [pronouncer.LatinPronouncer],
  'sranan_tongo' : [pronouncer.LatinPronouncer],
  'srd' : [pronouncer.LatinPronouncer],
  'srn' : [pronouncer.LatinPronouncer],
  'srp' : [pronouncer.UnitranPronouncer],
  'srpskohrvatski' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'srr' : [pronouncer.LatinPronouncer],
  'ss' : [pronouncer.LatinPronouncer],
  'ssw' : [pronouncer.LatinPronouncer],
  'st' : [pronouncer.LatinPronouncer],
  'su' : [pronouncer.LatinPronouncer],
  'suk' : [pronouncer.LatinPronouncer],
  'sukuma' : [pronouncer.LatinPronouncer],
  'sumerian' : [pronouncer.LatinPronouncer],
  'sun' : [pronouncer.LatinPronouncer],
  'sundanese' : [pronouncer.LatinPronouncer],
  'suomen_kieli' : [pronouncer.LatinPronouncer],
  'suomi' : [pronouncer.LatinPronouncer],
  'sus' : [pronouncer.LatinPronouncer],
  'susu' : [pronouncer.LatinPronouncer],
  'sux' : [pronouncer.LatinPronouncer],
  'sv' : [pronouncer.LatinPronouncer],
  'svenska' : [pronouncer.LatinPronouncer],
  'sw' : [pronouncer.LatinPronouncer],
  'swa' : [pronouncer.LatinPronouncer],
  'swahili' : [pronouncer.LatinPronouncer],
  'swati' : [pronouncer.LatinPronouncer],
  'swe' : [pronouncer.LatinPronouncer],
  'swedish' : [pronouncer.LatinPronouncer],
  'swiss_german' : [pronouncer.LatinPronouncer],
  'syc' : [pronouncer.LatinPronouncer],
  'syr' : [pronouncer.UnitranPronouncer],
  'syriac' : [pronouncer.UnitranPronouncer],
  'sámegiella' : [pronouncer.LatinPronouncer],
  'sámi' : [pronouncer.LatinPronouncer],
  'säämegiella' : [pronouncer.LatinPronouncer],
  'sääʼmǩiõll' : [pronouncer.LatinPronouncer],
  'ta' : [pronouncer.UnitranPronouncer],
  'taetae_ni_kiribati' : [pronouncer.LatinPronouncer],
  'tagalog' : [pronouncer.LatinPronouncer],
  'tah' : [pronouncer.LatinPronouncer],
  'tahitian' : [pronouncer.LatinPronouncer],
  'tajik' : [pronouncer.UnitranPronouncer],
  'tam' : [pronouncer.UnitranPronouncer],
  'tamajeq' : [pronouncer.UnitranPronouncer],
  'tamashek' : [pronouncer.UnitranPronouncer],
  'tamil' : [pronouncer.UnitranPronouncer],
  'taqbaylit' : [pronouncer.LatinPronouncer],
  'tat' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'tatar' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'tatarça' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'te' : [pronouncer.UnitranPronouncer],
  'te_reo_māori' : [pronouncer.LatinPronouncer],
  'te_reo_māʼohi' : [pronouncer.LatinPronouncer],
  'te_reo_tahiti' : [pronouncer.LatinPronouncer],
  'tekoi_ra_belau' : [pronouncer.LatinPronouncer],
  'tel' : [pronouncer.UnitranPronouncer],
  'telugu' : [pronouncer.UnitranPronouncer],
  'tem' : [pronouncer.LatinPronouncer],
  'ter' : [pronouncer.LatinPronouncer],
  'tereno' : [pronouncer.LatinPronouncer],
  'tet' : [pronouncer.LatinPronouncer],
  'tetum' : [pronouncer.LatinPronouncer],
  'tetun' : [pronouncer.LatinPronouncer],
  'tg' : [pronouncer.UnitranPronouncer],
  'tgk' : [pronouncer.UnitranPronouncer],
  'tgl' : [pronouncer.LatinPronouncer],
  'th' : [pronouncer.UnitranPronouncer],
  'tha' : [pronouncer.UnitranPronouncer],
  'thai' : [pronouncer.UnitranPronouncer],
  'thuɔŋjäŋ' : [pronouncer.LatinPronouncer],
  'ti' : [pronouncer.UnitranPronouncer],
  'tib' : [pronouncer.UnitranPronouncer],
  'tibetan' : [pronouncer.UnitranPronouncer],
  'tig' : [pronouncer.LatinPronouncer],
  'tigre' : [pronouncer.LatinPronouncer],
  'tigrinya' : [pronouncer.UnitranPronouncer],
  'tigré' : [pronouncer.LatinPronouncer],
  'timne' : [pronouncer.LatinPronouncer],
  'tir' : [pronouncer.UnitranPronouncer],
  'tiv' : [pronouncer.LatinPronouncer],
  'tiếng_việt' : [pronouncer.LatinPronouncer],
  'tk' : [pronouncer.UnitranPronouncer],
  'tkl' : [pronouncer.LatinPronouncer],
  'tl' : [pronouncer.LatinPronouncer],
  'tlh' : [pronouncer.LatinPronouncer],
  'tlhingan-hol' : [pronouncer.LatinPronouncer],
  'tlhingan_hol' : [pronouncer.LatinPronouncer],
  'tli' : [pronouncer.LatinPronouncer],
  'tlingit' : [pronouncer.LatinPronouncer],
  'tmh' : [pronouncer.UnitranPronouncer],
  'tn' : [pronouncer.LatinPronouncer],
  'to' : [pronouncer.LatinPronouncer],
  'tog' : [pronouncer.LatinPronouncer],
  'tok_pisin' : [pronouncer.LatinPronouncer],
  'tokelau' : [pronouncer.LatinPronouncer],
  'ton' : [pronouncer.LatinPronouncer],
  'tonga' : [pronouncer.LatinPronouncer],
  'tongan' : [pronouncer.LatinPronouncer],
  'tpi' : [pronouncer.LatinPronouncer],
  'tr' : [pronouncer.LatinPronouncer],
  'ts' : [pronouncer.LatinPronouncer],
  'tshivenḓa' : [pronouncer.LatinPronouncer],
  'tsn' : [pronouncer.LatinPronouncer],
  'tso' : [pronouncer.LatinPronouncer],
  'tsonga' : [pronouncer.LatinPronouncer],
  'tswana' : [pronouncer.LatinPronouncer],
  'tsêhést' : [pronouncer.LatinPronouncer],
  'tt' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'tuk' : [pronouncer.UnitranPronouncer],
  'tum' : [pronouncer.LatinPronouncer],
  'tumbuka' : [pronouncer.LatinPronouncer],
  'tur' : [pronouncer.LatinPronouncer],
  'turkish' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'turkmen' : [pronouncer.UnitranPronouncer],
  'tuvalu' : [pronouncer.LatinPronouncer],
  'tuvinian' : [pronouncer.UnitranPronouncer],
  'tuḍḍungiyya' : [pronouncer.LatinPronouncer],
  'tvl' : [pronouncer.LatinPronouncer],
  'tw' : [pronouncer.LatinPronouncer],
  'twi' : [pronouncer.LatinPronouncer],
  'ty' : [pronouncer.LatinPronouncer],
  'tyv' : [pronouncer.UnitranPronouncer],
  'türkçe' : [pronouncer.LatinPronouncer],
  'tłįchǫ' : [pronouncer.LatinPronouncer],
  'udm' : [pronouncer.UnitranPronouncer],
  'udmurt' : [pronouncer.UnitranPronouncer],
  'ug' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'uga' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ugaritic' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'uig' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'uighur' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'uk' : [pronouncer.UnitranPronouncer],
  'ukr' : [pronouncer.UnitranPronouncer],
  'ukrainian' : [pronouncer.UnitranPronouncer],
  'umb' : [pronouncer.LatinPronouncer],
  'umbundu' : [pronouncer.LatinPronouncer],
  'upper_sorbian' : [pronouncer.LatinPronouncer],
  'ur' : [pronouncer.UnitranPronouncer],
  'urd' : [pronouncer.UnitranPronouncer],
  'urdu' : [pronouncer.UnitranPronouncer],
  'uyghur' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'uyğurçe' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'uyƣurqə' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'uz' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'uzb' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'uzbek' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'vai' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'valencian' : [pronouncer.LatinPronouncer],
  'vaďďa_tšeeli' : [pronouncer.LatinPronouncer],
  've' : [pronouncer.LatinPronouncer],
  'ven' : [pronouncer.LatinPronouncer],
  'venda' : [pronouncer.LatinPronouncer],
  'vi' : [pronouncer.LatinPronouncer],
  'vie' : [pronouncer.LatinPronouncer],
  'vietnamese' : [pronouncer.LatinPronouncer],
  'vo' : [pronouncer.LatinPronouncer],
  'vol' : [pronouncer.LatinPronouncer],
  'volapük' : [pronouncer.LatinPronouncer],
  'vosa_vakaviti' : [pronouncer.LatinPronouncer],
  'vot' : [pronouncer.LatinPronouncer],
  'votic' : [pronouncer.LatinPronouncer],
  'wa' : [pronouncer.LatinPronouncer],
  'wal' : [pronouncer.LatinPronouncer],
  'walamo' : [pronouncer.LatinPronouncer],
  'walloon' : [pronouncer.LatinPronouncer],
  'walon' : [pronouncer.LatinPronouncer],
  'war' : [pronouncer.LatinPronouncer],
  'waray' : [pronouncer.LatinPronouncer],
  'was' : [pronouncer.LatinPronouncer],
  'washo' : [pronouncer.LatinPronouncer],
  'wel' : [pronouncer.LatinPronouncer],
  'welsh' : [pronouncer.LatinPronouncer],
  'winaray' : [pronouncer.LatinPronouncer],
  'wln' : [pronouncer.LatinPronouncer],
  'wo' : [pronouncer.LatinPronouncer],
  'wol' : [pronouncer.LatinPronouncer],
  'wolof' : [pronouncer.LatinPronouncer],
  'xal' : [pronouncer.UnitranPronouncer],
  'xh' : [pronouncer.LatinPronouncer],
  'xho' : [pronouncer.LatinPronouncer],
  'xhosa' : [pronouncer.LatinPronouncer],
  'xitsonga' : [pronouncer.LatinPronouncer],
  'x̲aat_kíl' : [pronouncer.LatinPronouncer],
  'yakut' : [pronouncer.UnitranPronouncer],
  'yao' : [pronouncer.LatinPronouncer],
  'yap' : [pronouncer.LatinPronouncer],
  'yapese' : [pronouncer.LatinPronouncer],
  'yi' : [pronouncer.UnitranPronouncer],
  'yid' : [pronouncer.UnitranPronouncer],
  'yiddish' : [pronouncer.UnitranPronouncer],
  'yo' : [pronouncer.LatinPronouncer],
  'yor' : [pronouncer.LatinPronouncer],
  'yoruba' : [pronouncer.LatinPronouncer],
  'yorùbá' : [pronouncer.LatinPronouncer],
  'yângâ_tî_sängö' : [pronouncer.LatinPronouncer],
  'za' : [pronouncer.LatinPronouncer],
  'zaza' : [pronouncer.LatinPronouncer],
  'zazaki' : [pronouncer.LatinPronouncer],
  'zen' : [pronouncer.LatinPronouncer],
  'zenaga' : [pronouncer.LatinPronouncer],
  'zh' : [pronouncer.UnitranPronouncer],
  'zha' : [pronouncer.LatinPronouncer],
  'zho' : [pronouncer.HanziPronouncer],
  'zhuang' : [pronouncer.LatinPronouncer],
  'zu' : [pronouncer.LatinPronouncer],
  'zul' : [pronouncer.LatinPronouncer],
  'zulu' : [pronouncer.LatinPronouncer],
  'zun' : [pronouncer.LatinPronouncer],
  'zuni' : [pronouncer.LatinPronouncer],
  'zza' : [pronouncer.LatinPronouncer],
  'íslenska' : [pronouncer.LatinPronouncer],
  'úmbúndú' : [pronouncer.LatinPronouncer],
  'česky' : [pronouncer.LatinPronouncer],
  'čeština' : [pronouncer.LatinPronouncer],
  'ɓasaá' : [pronouncer.LatinPronouncer],
  'ɔl_maa' : [pronouncer.LatinPronouncer],
  'ɛʋɛgbɛ' : [pronouncer.LatinPronouncer],
  'ɫ[ǂ…' : [pronouncer.UnitranPronouncer],
  'ελληνικά' : [pronouncer.UnitranPronouncer],
  'авар_мацӀ' : [pronouncer.UnitranPronouncer],
  'адыгабзэ' : [pronouncer.UnitranPronouncer],
  'адыгэбзэ' : [pronouncer.UnitranPronouncer],
  'алтай_тили' : [pronouncer.UnitranPronouncer],
  'аҧсуа' : [pronouncer.UnitranPronouncer],
  'башҡорт_теле' : [pronouncer.UnitranPronouncer],
  'беларуская_мова' : [pronouncer.UnitranPronouncer],
  'буряад_хэлэн' : [pronouncer.UnitranPronouncer],
  'български_език' : [pronouncer.UnitranPronouncer],
  'гӀалгӀай_мотт' : [pronouncer.UnitranPronouncer],
  'дарган_мез' : [pronouncer.UnitranPronouncer],
  'ирон_ӕвзаг' : [pronouncer.UnitranPronouncer],
  'коми_кыв' : [pronouncer.UnitranPronouncer],
  'кумык' : [pronouncer.UnitranPronouncer],
  'къарачай-малкъар_тил' : [pronouncer.UnitranPronouncer],
  'къырымтатар_тили' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'къэбэрдеибзэ' : [pronouncer.UnitranPronouncer],
  'кыргыз_тили' : [pronouncer.UnitranPronouncer],
  'лезги_чӀал' : [pronouncer.UnitranPronouncer],
  'лимба_молдовеняскэ' : [pronouncer.UnitranPronouncer],
  'магӀарул_мацӀ' : [pronouncer.UnitranPronouncer],
  'македонски_јазик' : [pronouncer.UnitranPronouncer],
  'марий_йылме' : [pronouncer.UnitranPronouncer],
  'мокшень_кяль' : [pronouncer.UnitranPronouncer],
  'монгол_хэл' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ногай_тили' : [pronouncer.UnitranPronouncer],
  'нохчийн_мотт' : [pronouncer.UnitranPronouncer],
  'русский_язык' : [pronouncer.UnitranPronouncer],
  'саха_тыла' : [pronouncer.UnitranPronouncer],
  'српски_језик' : [pronouncer.UnitranPronouncer],
  'српскохрватски' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'татарча' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'тоҷикӣ' : [pronouncer.UnitranPronouncer],
  'тыва_дыл' : [pronouncer.UnitranPronouncer],
  'түркмен' : [pronouncer.UnitranPronouncer],
  'удмурт_кыл' : [pronouncer.UnitranPronouncer],
  'українська_мова' : [pronouncer.UnitranPronouncer],
  'хальмг_келн' : [pronouncer.UnitranPronouncer],
  'чӑваш_чӗлхи' : [pronouncer.UnitranPronouncer],
  'шӧльӄумыт_әты' : [pronouncer.UnitranPronouncer],
  'эрзянь_кель' : [pronouncer.UnitranPronouncer],
  'ўзбек' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ѩзыкъ_словѣньскъ' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'қазақ_тілі' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'қарақалпақ_тили' : [pronouncer.UnitranPronouncer],
  'հայերեն_լեզու' : [pronouncer.UnitranPronouncer],
  'ארמית' : [pronouncer.UnitranPronouncer],
  "ג'ודיאו-איספאנייול" : [pronouncer.UnitranPronouncer],
  'ייִדיש' : [pronouncer.UnitranPronouncer],
  'עִבְרִית' : [pronouncer.UnitranPronouncer],
  'עברית' : [pronouncer.UnitranPronouncer],
  'أۇزبېك' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ئۇيغۇرچ' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'اردو' : [pronouncer.UnitranPronouncer],
  'العربية' : [pronouncer.UnitranPronouncer],
  'بداوية' : [pronouncer.UnitranPronouncer],
  'بلوچی' : [pronouncer.UnitranPronouncer],
  'بهاس_ملايو' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'تاتارچا' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'تاجیکی' : [pronouncer.UnitranPronouncer],
  'جغتای' : [pronouncer.UnitranPronouncer],
  'سنڌي،_سندھی' : [pronouncer.UnitranPronouncer],
  'فارسی' : [pronouncer.UnitranPronouncer],
  'هَوُسَ' : [pronouncer.LatinPronouncer],
  'پنجابی' : [pronouncer.UnitranPronouncer],
  'پښتو' : [pronouncer.UnitranPronouncer],
  'کٲشُر' : [pronouncer.UnitranPronouncer],
  'ܐܪܡܝܐ' : [pronouncer.UnitranPronouncer],
  'ܣܘܪܝܝܐ' : [pronouncer.UnitranPronouncer],
  'ދިވެހިބަސ' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'अवधी' : [pronouncer.UnitranPronouncer],
  'कॉशुर' : [pronouncer.UnitranPronouncer],
  'कोंकणी' : [pronouncer.UnitranPronouncer],
  'डोगरी' : [pronouncer.UnitranPronouncer],
  'नेपाली' : [pronouncer.UnitranPronouncer],
  'पालि' : [pronouncer.UnitranPronouncer],
  'ब्रज_भाषा' : [pronouncer.UnitranPronouncer],
  'भोजपुरी' : [pronouncer.UnitranPronouncer],
  'मराठी' : [pronouncer.UnitranPronouncer],
  'मारवाड़ी' : [pronouncer.UnitranPronouncer],
  'मैथिली' : [pronouncer.UnitranPronouncer],
  'राजस्थानी' : [pronouncer.UnitranPronouncer],
  'संथाली' : [pronouncer.UnitranPronouncer],
  'संस्कृतम्' : [pronouncer.UnitranPronouncer],
  'सिन्धी' : [pronouncer.UnitranPronouncer],
  'हिन्दी' : [pronouncer.UnitranPronouncer],
  'অসমীয়া' : [pronouncer.UnitranPronouncer],
  'বাংলা' : [pronouncer.UnitranPronouncer],
  'মৈইতৈইলোন' : [pronouncer.UnitranPronouncer],
  'ਪੰਜਾਬੀ' : [pronouncer.UnitranPronouncer],
  'ਲਹਿੰਦੀ' : [pronouncer.UnitranPronouncer],
  'ગુજરાતી' : [pronouncer.UnitranPronouncer],
  'ଓଡ଼ିଆ' : [pronouncer.UnitranPronouncer],
  'தமிழ்' : [pronouncer.UnitranPronouncer],
  'తెలుగు' : [pronouncer.UnitranPronouncer],
  'ಕನ್ನಡ' : [pronouncer.UnitranPronouncer],
  'മലയാളം' : [pronouncer.UnitranPronouncer],
  'සිංහල' : [pronouncer.UnitranPronouncer],
  'ภาษาไทย' : [pronouncer.UnitranPronouncer],
  'ພາສາລາວ' : [pronouncer.UnitranPronouncer],
  'བོད་ཡིག' : [pronouncer.UnitranPronouncer],
  'རྫོང་ཁ' : [pronouncer.UnitranPronouncer],
  'ျမန္မာစာ' : [pronouncer.UnitranPronouncer],
  'ქართული_ენა' : [pronouncer.UnitranPronouncer],
  'ብሊና' : [pronouncer.LatinPronouncer],
  'ትግርኛ' : [pronouncer.UnitranPronouncer],
  'አማርኛ' : [pronouncer.UnitranPronouncer],
  'ግዕዝ' : [pronouncer.UnitranPronouncer],
  'ᏣᎳᎩ' : [pronouncer.UnitranPronouncer],
  'ᐃᓄᒃᑎᑐᑦ' : [pronouncer.UnitranPronouncer],
  'ᐊᓂᔑᓇᐯᒧᐏᐣ' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ᑌᓀᓲᒢᕄᓀ' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  'ᓀᐦᐃᔭᐍᐏᐣ' : [pronouncer.UnitranPronouncer],
  'ᠮᠠᠨᠵᡠ_ᡤᡳᠰᡠᠨ ᠪᡝ' : [pronouncer.UnitranPronouncer],
  'ᨅᨔ_ᨕᨘᨁᨗ' : [pronouncer.UnitranPronouncer],
  'ἑλληνικά' : [pronouncer.UnitranPronouncer],
  ' ᓱᖽᐧᖿ' : [pronouncer.UnitranPronouncer],
  '‘ōlelo_hawai‘i' : [pronouncer.LatinPronouncer],
  'ⲙⲉⲧⲛ̀ⲣⲉⲙⲛ̀ⲭⲏⲙⲓ' : [pronouncer.UnitranPronouncer],
  'にほんご' : [pronouncer.UnitranPronouncer],
  'アイヌ_イタㇰ' : [pronouncer.UnitranPronouncer],
  'イタッㇰ' : [pronouncer.UnitranPronouncer],
  '中文' : [pronouncer.HanziPronouncer],
  '日本語' : [pronouncer.UnitranPronouncer, pronouncer.HanziPronouncer],
  '朝鮮語' : [pronouncer.UnitranPronouncer],
  '韓國語' : [pronouncer.UnitranPronouncer],
  'ꆇꉙ' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
  '조선말' : [pronouncer.UnitranPronouncer],
  '한국어' : [pronouncer.UnitranPronouncer],
  '𐌲𐌿𐍄𐌹𐍃𐌺' : [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer],
}

DEF_PRONOUNCER_LIST_ = [pronouncer.UnitranPronouncer, pronouncer.LatinPronouncer]


def DefPronouncers(lid):
  lid = Utils.script.Lower(lid)
  try: return DEF_PRONOUNCERS_[lid]
  except KeyError: return DEF_PRONOUNCER_LIST_
